## Create a sending subdomain `client.EmailSending.Subdomains.New(ctx, params) (*SubdomainNewResponse, error)` **post** `/zones/{zone_id}/email/sending/subdomains` Creates a new sending subdomain or re-enables sending on an existing subdomain that had it disabled. If zone-level Email Sending has not been enabled yet, the zone flag is automatically set when the entitlement is present. ### Parameters - `params SubdomainNewParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Name param.Field[string]` Body param: The subdomain name. Must be within the zone. ### Returns - `type SubdomainNewResponse struct{…}` - `EmailSendingEnabled bool` Whether Email Sending is enabled on this subdomain. - `Name string` The subdomain domain name. - `Tag string` Sending subdomain identifier. - `Created Time` The date and time the destination address has been created. - `EmailSendingDKIMSelector string` The DKIM selector used for email signing. - `EmailSendingReturnPathDomain string` The return-path domain used for bounce handling. - `Enabled bool` Whether Email Routing (receiving) is enabled on this subdomain. Read-only; included for informational purposes since both services share the subdomain row. - `Modified Time` The date and time the destination address was last modified. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/email_sending" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"), option.WithAPIEmail("user@example.com"), ) subdomain, err := client.EmailSending.Subdomains.New(context.TODO(), email_sending.SubdomainNewParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Name: cloudflare.F("sub.example.com"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", subdomain.EmailSendingEnabled) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "email_sending_enabled": true, "name": "sub.example.com", "tag": "aabbccdd11223344aabbccdd11223344", "created": "2014-01-02T02:20:00Z", "email_sending_dkim_selector": "cf-bounce", "email_sending_return_path_domain": "cf-bounce.sub.example.com", "enabled": true, "modified": "2014-01-02T02:20:00Z" } } ```